rte_gtp_psc_type1_hdr(3)

NAME
rte_gtp_psc_type1_hdr

SYNOPSIS

#include <rte_gtp.h>

  Data Fields

uint8_t ext_hdr_len
uint8_t type:4
uint8_t qmp:1
uint8_t dl_delay_ind:1
uint8_t ul_delay_ind:1
uint8_t snp:1
uint8_t n_delay_ind:1
uint8_t spare_ul2:1
uint8_t qfi:6
uint8_t data [0]

Detailed Description

Optional extension for GTP with next_ext set to 0x85 type1 defined based on RFC 38415-g30

Definition at line 115 of file rte_gtp.h.

Field Documentation

  uint8_t ext_hdr_len
PDU ext hdr len in multiples of 4 bytes

Definition at line 116 of file rte_gtp.h.

  uint8_t type
PDU type

Definition at line 118 of file rte_gtp.h.

  uint8_t qmp
Qos Monitoring Packet

Definition at line 119 of file rte_gtp.h.

  uint8_t dl_delay_ind
dl delay result presence

Definition at line 120 of file rte_gtp.h.

  uint8_t ul_delay_ind
ul delay result presence

Definition at line 121 of file rte_gtp.h.

  uint8_t snp
Sequence number presence ul

Definition at line 122 of file rte_gtp.h.

  uint8_t n_delay_ind
N3/N9 delay result presence

Definition at line 123 of file rte_gtp.h.

  uint8_t spare_ul2
spare up link bits

Definition at line 124 of file rte_gtp.h.

  uint8_t qfi
Qos Flow Identifier

Definition at line 125 of file rte_gtp.h.

  uint8_t data[0]
variable length data fields

Definition at line 136 of file rte_gtp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.